List scripts
curl --request GET \
--url https://api.salesive.com/api/v1/scripts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.salesive.com/api/v1/scripts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.salesive.com/api/v1/scripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"success": true,
"message": "Scripts retrieved",
"data": {
"scripts": [
{
"_id": "66e1f0a3c2d4e5f6a7b8c9d0",
"integration": "66e0aabbccddeeff00112233",
"code": "<script>console.log('hi');</script>",
"enabled": true,
"shop": "6680aabbccddeeff00112200",
"createdAt": "2026-06-21T10:30:00.000Z",
"updatedAt": "2026-06-21T10:30:00.000Z"
}
]
}
}{
"status": 401,
"success": false,
"message": "Authentication required",
"data": null
}{
"status": 403,
"success": false,
"message": "Insufficient scope",
"data": null
}Scripts
List scripts
Retrieve the store’s custom storefront scripts. Requires the READ_SCRIPTS scope.
GET
/
scripts
List scripts
Returns the store’s custom storefront scripts (also reachable under
/tracking). The store is bound to your app token server-side — never send a shop id.Authorizations
Installed-app access token (prefix app_), issued by the OAuth install flow. The store is bound to the token server-side — never send a shop id.
Response
List of scripts.
Was this page helpful?
⌘I

